﻿using System;
using System.Web.UI;

namespace Adam.Fadel.Web.Actions
{
    /// <summary>
    ///     Bypasses some ADAM optimizations.
    /// </summary>
    public class ModalActionWithViewStateContainer : Control
    {
        public ModalActionWithViewStateContainer()
        {
            ViewStateMode = ViewStateMode.Enabled;
        }

        protected override bool OnBubbleEvent(object source, EventArgs args)
        {
            // Do not tell the ADAM framework something has happened inside the action.
            // The framework will react on this, which may result in a mall-function
            // of your view-state aware dialog.
            return true;
        }
    }
}