﻿using System.Web.UI;

namespace Adam.Fadel.Web.MosaicDisplays
{
    // Replace in the setting ".assetStudioSearchRecordDisplays" the node:
    //		<add ID="mosaic" type="Adam.Web.AssetStudio.Displays.RecordMosaicDisplay, Adam.Web.AssetStudio" actionsSettingName=".assetStudioSearchRecordActions">
    //			...
    // to
    //		<add ID="mosaic" type="AdamSamples.Core.Customization.MosaicDisplays.RecordMosaicDisplay, AdamCustomization" actionsSettingName=".assetStudioSearchRecordActions">
    //			...
    //
    // Update the setting ".assetStudioSearchRecordActions" and add the action:
    //		<add type="AssetStudioCustomizations.AssetActions.ModalActionWithViewState, AssetStudioCustomizations" />


    /// <summary>
    ///     ADAM has some optimizations insdie the mosaic view that disable the view-state on children.
    ///     You should (and may) re-enable the view-state within the mosiac view, by using the following code:
    ///     (and you need to register this display in the setting ".assetStudioSearchRecordDisplays" -- see above)
    ///     Once in place, you have to make sure that your actions don't consume too much view-state, because view-state
    ///     can be very expensive.
    ///     Another solution is to work with control-state within the dialog action.
    /// </summary>
    public class RecordMosaicDisplay : Adam.Web.AssetStudio.Displays.RecordMosaicDisplay
    {
        protected override Control CreateDisplayItem()
        {
            return new RecordMosaicDisplayItem(this);
        }
    }
}